# Call incoming

An action block that awaits an incoming call.

The fiber will pause until an incoming call has reached the state of the proceed option:

- When ringing — incoming call has begun to ring.
- When answered — incoming call has been answered.
- When missed — incoming call stopped ringing for not being answered.
- When hung up — incoming call was hung up, it may’ve been answered or missed.

This block won’t work when used during an ongoing call since it has to detect each preceding state, use the Call state block for such cases. Changing the ringtone after this block will probably not work since it occurs when it has already begun ringing, try using the Call screening block instead.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Phone number — only proceed when this phone number is calling, default is any.
- Subscription id — id of subscription (SIM) through which the call must come, default is any.

## Output variables

- Caller phone number — variable to assign the caller phone number.
- Used subscription id — variable to assign the id of subscription (SIM) through which the call came.